Package Details: easyconnect 7.6.7.3-9

Git Clone URL: https://aur.archlinux.org/easyconnect.git (read-only, click to copy)
Package Base: easyconnect
Description: Support access to ssl vpn. With easyconect,you can secure and speed up connection to cooperate network at ease!
Upstream URL: http://www.sangfor.com.cn
Keywords: easyconnect sangfor
Licenses: LicenseRef-custom
Conflicts: easyconnect, easyconnect-cas, easyconnect-rpc, easyconnect-sdu, easyconnect-zjjy
Submitter: oowl
Maintainer: zxp19821005
Last Packager: zxp19821005
Votes: 10
Popularity: 0.000899
First Submitted: 2018-07-28 12:09 (UTC)
Last Updated: 2024-01-25 09:05 (UTC)

Pinned Comments

Latest Comments

1 2 3 4 5 6 Next › Last »

zxp19821005 commented on 2024-02-04 00:15 (UTC)

@ianioc 是的,一般都是这么写的,包括自己也是为了后期如果出现"${pkgname}-bin"或者"${pkgname}-git"之类的包,会自动冲突。

ianioc commented on 2024-02-03 19:29 (UTC)

conflicts=( "${pkgname}" "${pkgname}-rpc" "${pkgname}-zjjy" "${pkgname}-sdu" "${pkgname}-cas" )冲突的包是不是连自己也包括了

zxp19821005 commented on 2024-01-25 09:04 (UTC)

@2lbj 感谢反馈,但是那一条替换语句是我忘记删除了,尝试将easyconnect.install加入source列表,然后通过sed命令进行替换,结果pkg中的.INSTALL文件没有更新,然后安装时报错,所以就从source列表中删除了easyconnect.install,结果sed替换语句忘记删除了。

2lbj commented on 2024-01-25 08:13 (UTC) (edited on 2024-01-25 08:14 (UTC) by 2lbj)

easyconnect 7.6.7.3-8 版本 有一处文件路径写错了貌似 修改如下

diff --git a/PKGBUILD b/PKGBUILD
index 3d289ab..6f6baa9 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -44,7 +44,7 @@ sha256sums=('ae623c6dc0354ff87afefbb770de5013bfd943051c9a653b93db708253b2f0d3'
             'b4b0db5e577c1b565a7f065ce8f9a4f9622b673fbcffa27ccbaf68f061a67a68'
             'c113b89b9ee4ecb6b28bd4b51a42480131d69451782045764e8cf2ed4d05f469')
 build() {
-    sed "s|@appname@|sangfor|g;s|@runname@|${_pkgname}|g" -i "${srcdir}/${pkgname}.install"
+    sed "s|@appname@|sangfor|g;s|@runname@|${_pkgname}|g" -i "${srcdir}/../${pkgname}.install"
     sed -e "s|@appname@|sangfor|g" \
         -e "s|@runpath@|${_pkgname}|g" \
         -e "s|@runname@|${_pkgname}|g" \
@@ -67,4 +67,4 @@ package() {
     cp -r "${srcdir}/usr/share/sangfor" "${pkgdir}/usr/share"
     cp -r "${srcdir}/pango/usr/lib" "${pkgdir}/usr/share/sangfor/${_pkgname}"
     install -Dm644 "${srcdir}/LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-}
\ No newline at end of file
+}

Hagb commented on 2023-06-07 11:22 (UTC)

@hjmu 虽然不知道我们遇到的是不是同样的问题,不过可以试试下载 https://github.com/electron/electron/releases/download/v1.8.8/electron-v1.8.8-linux-x64.zip 解压至 /usr/share/sangfor/EasyConnect/(覆盖同名文件),并用其中的 electron 覆盖 EasyConnect

hjmu commented on 2023-06-07 10:55 (UTC)

现在在我这里有segmentation fault,网上说要调整pango,但还是不行

lizhou0206 commented on 2023-04-03 02:21 (UTC)

@zxp19821005,谢谢。 目前软件可以正常打开,终端也没报错。 但我们学校的VPN必须从浏览器登录帐号,登录后软件无法被浏览器调用,无论安装哪个版本,都只会弹出下载页面。

zxp19821005 commented on 2023-03-31 08:58 (UTC)

@lizhou0206 我在同事的Manjaro、EndeavourOS、ArcoLinux、ArchLinux上测试是OK的,建议你换一个浏览器试一下。最好能够在终端中运行一下,看是否有报错信息。

lizhou0206 commented on 2023-03-31 08:28 (UTC)

为什么无论安装哪个版本,浏览器都只显示“下载客户端:客户端未安装或版本不兼容”,发行版是manjaro。

LamFTS commented on 2022-12-01 13:31 (UTC) (edited on 2022-12-16 03:16 (UTC) by LamFTS)

提示:libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory时,需要安装gtk2lib32-gtk2